org.apache.ignite.cdc

## Interface TypeMapping

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  TypeMappingImpl

    public interface TypeMapping
    extends Serializable

Ignite maps type name to some id. Mapping data required to perform deserialization of `BinaryObject`. Note, `typeName()` can represent not only Java class names. For other supported platforms take a look at `PlatformType` values.

See Also:
  `BinaryObject`, `IgniteBinary.typeId(String)`, `BinaryIdMapper`, `CdcConsumer.onMappings(Iterator)`, `MarshallerContext.registerClassName(byte, int, String, boolean)`

### Method Summary

All Methods Instance Methods Abstract Methods
`PlatformType` `platformType()`
`int` `typeId()`
`String` `typeName()`

### Method Detail

#### typeId

    int typeId()

Returns:
  Type id.

#### typeName

    String typeName()

Returns:
  Type name.

#### platformType

    PlatformType platformType()

Returns:
  Platform type.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023